# TdApi.LanguagePackStringValue (TDLight API 4.0.476 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: LanguagePackStringValue

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.LanguagePackStringValue

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.LanguagePackStringValue

Direct Known Subclasses:
  `TdApi.LanguagePackStringValueDeleted`, `TdApi.LanguagePackStringValueOrdinary`, `TdApi.LanguagePackStringValuePluralized`

Enclosing class:
  TdApi

public abstract static sealed class TdApi.LanguagePackStringValue extends TdApi.Object permits TdApi.LanguagePackStringValueOrdinary, TdApi.LanguagePackStringValuePluralized, TdApi.LanguagePackStringValueDeleted
This class is an abstract base class. Represents the value of a string in a language pack.

## Constructor Summary

Constructors
Constructor
Description
`LanguagePackStringValue()`
Default class constructor.

## Method Summary

### Methods inherited from class it.tdlight.jni.TdApi.Object

`getConstructor, serialize, serialize, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### LanguagePackStringValue

public LanguagePackStringValue()
Default class constructor.